import { DrawingNamespaceDefinitionBase } from "./DrawingNamespaceDefinitionBase";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { Type } from "igniteui-angular-core";
import { ST_Coordinate } from "./ST_Coordinate";
import { ST_PositiveCoordinate } from "./ST_PositiveCoordinate";
import { ST_EditAs } from "./ST_EditAs";
/**
 * @hidden
 */
export declare class DrawingMLSpreadsheetDrawing extends DrawingNamespaceDefinitionBase {
    static $t: Type;
    private static readonly dr;
    private static readonly dq;
    static readonly ds: string;
    static readonly dt: string;
    static readonly dw: string;
    static readonly dx: string;
    static readonly d0: string;
    static readonly d3: string;
    static readonly ea: string;
    static readonly ec: string;
    static readonly ed: string;
    static readonly ee: string;
    static readonly ei: string;
    static readonly ej: string;
    static readonly el: string;
    static readonly dy: string;
    static readonly d4: string;
    static readonly d5: string;
    static readonly eb: string;
    static readonly ef: string;
    static readonly d9: string;
    static readonly du: string;
    static readonly dv: string;
    static readonly eg: string;
    static readonly ek: string;
    static readonly dn: DrawingMLSpreadsheetDrawing;
    constructor();
    protected get_j(): string;
    readonly j: string;
    private static eq;
    private static e5;
    private static ex;
    private static fc;
    static em(a: XmlPartManagerBase): void;
    static e1(a: XmlPartManagerBase): void;
    static en(a: XmlPartManagerBase, b: boolean, c: boolean): {
        p1: boolean;
        p2: boolean;
    };
    static e2(a: XmlPartManagerBase, b?: boolean, c?: boolean): void;
    static eo(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static e3(a: XmlPartManagerBase, b: number): void;
    static ep(a: XmlPartManagerBase, b: ST_Coordinate): {
        p1: ST_Coordinate;
    };
    static e4(a: XmlPartManagerBase, b: ST_Coordinate): void;
    static er(a: XmlPartManagerBase, b: ST_PositiveCoordinate, c: ST_PositiveCoordinate): {
        p1: ST_PositiveCoordinate;
        p2: ST_PositiveCoordinate;
    };
    static e6(a: XmlPartManagerBase, b: ST_PositiveCoordinate, c: ST_PositiveCoordinate): void;
    static es(a: XmlPartManagerBase): void;
    static e7(a: XmlPartManagerBase): void;
    static et(a: XmlPartManagerBase): void;
    static e8(a: XmlPartManagerBase): void;
    static eu(a: XmlPartManagerBase, b: ST_Coordinate, c: ST_Coordinate): {
        p1: ST_Coordinate;
        p2: ST_Coordinate;
    };
    static e9(a: XmlPartManagerBase, b: ST_Coordinate, c: ST_Coordinate): void;
    static ev(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static fa(a: XmlPartManagerBase, b: number): void;
    static ew(a: XmlPartManagerBase, b: ST_Coordinate): {
        p1: ST_Coordinate;
    };
    static fb(a: XmlPartManagerBase, b: ST_Coordinate): void;
    static ey(a: XmlPartManagerBase): void;
    static fd(a: XmlPartManagerBase): void;
    static ez(a: XmlPartManagerBase, b: ST_EditAs): {
        p1: ST_EditAs;
    };
    static fe(a: XmlPartManagerBase, b?: ST_EditAs): void;
    static e0(a: XmlPartManagerBase): void;
    static ff(a: XmlPartManagerBase): void;
}
